List Custom Reports
curl --request GET \
--url https://api.meetcampfire.com/ca/api/custom-reports \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/ca/api/custom-reports"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/ca/api/custom-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"created_by_name": "<string>",
"updated_by_name": "<string>",
"is_favorite": true,
"search_vector": "<string>",
"search_text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"customer": 123,
"created_by": 123,
"updated_by": 123,
"description": "<string>",
"groupings": null,
"pivots": null,
"aggregations": null,
"static_filters": null,
"dynamic_filters": null,
"financial_statement_rows": null,
"custom_formula_rows": null,
"custom_groups": null,
"show_empty_lines": true
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Financial Statements
List Custom Reports
GET
/
ca
/
api
/
custom-reports
List Custom Reports
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Filter by report type(s), comma-separated: transaction, invoice, financial_statement. Only transaction reports can be executed via the custom report data endpoint; invoice reports use the invoice report data endpoint.
Number of results to return per page.
The initial index from which to return the results.
⌘I